Type=Activity
Version=6.8
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
#Region  Project Attributes 
	
#End Region

#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Dim AStream As AsyncStreams
End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
	
	'Dim txtInput As EditText
	'Dim txtLog As EditText
	Private Bstart As Button
	Private BStop As Button
End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	Activity.LoadLayout("servo_CNTRL")
	If AStream.IsInitialized = False Then
		AStream.InitializePrefix(serial1.InputStream, True, serial1.OutputStream, "AStream")
	End If
End Sub

Sub Serial1_Connected (Success As Boolean)
	ProgressDialogHide
	Log("connected: " & Success)
	If Success = False Then
		Log(LastException.Message)
		ToastMessageShow("Error connecting: " & LastException.Message, True)
	Else
		If AStream.IsInitialized = False Then
			AStream.InitializePrefix(serial1.InputStream, True, serial1.OutputStream, "AStream")
		End If
	End If
End Sub

Sub Bstart_click
	Dim mdata() As Byte
	mdata = 0xA7 & 0x00
	AStream.Write(mdata)
	
	'LogMessage("Me", txtInput.Text)
End Sub

Sub BStop_click
	Dim mdata As Byte
	mdata = 0xA4
	AStream.Write(mdata)
	
End Sub

Sub AStream_NewData (Buffer() As Byte)
	'LogMessage("You", BytesToString(Buffer, 0, Buffer.Length, "UTF8"))
End Sub

Sub AStream_Error
	ToastMessageShow("Connection is broken.", True)
	'btnSend.Enabled = False
	'txtInput.Enabled = False
End Sub

Sub AStream_Terminated
	AStream_Error
End Sub

Sub Activity_Resume
	
End Sub

Sub Activity_Pause (UserClosed As Boolean)
	If UserClosed Then
		AStream.Close
	End If
End Sub
